Public Class SportsCar
    Inherits Car

    Public Weight As Integer

    ' GetPowerToWeightRatio - work out the power to weight...
    Function GetPowerToWeightRatio() As Double

        ' do the calculation...
        Return CType(HorsePower, Double) / CType(Weight, Double)

    End Function
    ' CalculateAccelerationRate - take the power/weight into 
    ' consideration...
    Overrides Function CalculateAccelerationRate() As Double

        ' we'll assume the same 4.2 value, but we'll multiply it
        ' by the power/weight ratio...
        Return 4.2 * GetPowerToWeightRatio()

    End Function

End Class
